Show / Hide Table of Contents

# Struct hkIstream

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkIstream

### Fields

| Improve this Doc View Source

#### hkReferencedObject

##### Declaration

    public hkReferencedObject hkReferencedObject

##### Field Value

Type | Description
--- | ---
hkReferencedObject |

| Improve this Doc View Source

#### StreamReader

##### Declaration

    public hkRefPtr<hkStreamReader> StreamReader

##### Field Value

Type | Description
--- | ---
hkRefPtr<hkStreamReader> |

### Methods

| Improve this Doc View Source

#### Ctor1(hkStreamReader*)

##### Declaration

    public void Ctor1(hkStreamReader*sr)

##### Parameters

Type | Name | Description
--- | --- | ---
hkStreamReader* | sr |

| Improve this Doc View Source

#### Ctor2(Byte*)

##### Declaration

    public void Ctor2(byte *filename)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | filename |

| Improve this Doc View Source

#### Ctor3(Void*, Int32)

##### Declaration

    public void Ctor3(void *mem, int memSize)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Void* | mem |
System.Int32 | memSize |

| Improve this Doc View Source

#### Dtor()

##### Declaration

    public void Dtor()

| Improve this Doc View Source

#### getline(Char*, Int32, Char)

##### Declaration

    public int getline(char *str, int maxsize, char delim = '\n')

##### Parameters

Type | Name | Description
--- | --- | ---
System.Char* | str |
System.Int32 | maxsize |
System.Char | delim |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### isOk()

##### Declaration

    public byte isOk()

##### Returns

Type | Description
--- | ---
System.Byte |